Cannoli_2.12: CLI 0.14.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- LongMinimap2
- LongMinimap2Args
- LongUnimap
- LongUnimapArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndMinimap2
- SingleEndMinimap2Args
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- SingleEndUnimapArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# StarArgs 

###

#### class StarArgs extends cannoli.StarArgs with ADAMSaveAnyArgs with CramArgs with ParquetArgs

STAR-Mapper command line arguments.

Linear Supertypes
ParquetArgs, CramArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.StarArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StarArgs
2. ParquetArgs
3. CramArgs
4. ADAMSaveAnyArgs
5. SaveArgs
6. ParquetRDDArgs
7. StarArgs
8. Args4jBase
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new StarArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
   Definition Classes
     StarArgs
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  var asSingleFile: Boolean
   Definition Classes
     StarArgs → ADAMSaveAnyArgs
7.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
9.  val compressionCodec: CompressionCodecName
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
10.  def configureCramFormat(sc: SparkContext): Option[Unit]

    Configure CRAM format.

    Configure CRAM format.

    sc

      Spark context to configure

    Definition Classes
      CramArgs
11.  val cramReference: String
    Definition Classes
      CramArgs
    Annotations
      @Option()
12.  var deferMerging: Boolean
    Definition Classes
      StarArgs → ADAMSaveAnyArgs
13.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
14.  var disableFastConcat: Boolean
    Definition Classes
      StarArgs → ADAMSaveAnyArgs
15.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  var executable: String
    Definition Classes
      StarArgs
19.  var genomePath: String
    Definition Classes
      StarArgs
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  var image: String
    Definition Classes
      StarArgs
23.  var inputPath: String
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
29.  var outputPath: String
    Definition Classes
      StarArgs → SaveArgs
30.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
31.  var seed: Integer
    Definition Classes
      StarArgs
32.  var sortFastqOutput: Boolean
    Definition Classes
      StarArgs → ADAMSaveAnyArgs
33.  var starArgs: String
    Definition Classes
      StarArgs
34.  var stringency: String
35.  var sudo: Boolean
    Definition Classes
      StarArgs
36.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  var useDocker: Boolean
    Definition Classes
      StarArgs
39.  var useSingularity: Boolean
    Definition Classes
      StarArgs
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from ParquetArgs

### Inherited from CramArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.StarArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped